Surge

This API is used to get data of pools / pairs with market cap surges within a short period

FreePlusProEnterpriseCredit Usage
10

Response data

{
    "err": false, // Error or not
    "res": [
      {
        "_id": "CiBUX2hHWBKDp3B5b4bAqt3Vznf1FCqYqTM98k8vbTod", // Trading pair address
        "mint": "F4WTcHYazpFZ8PYD9GYPtXJVv5PJYRdJMRLjdkWxpump", // Token address
        "name": "Ape With AK-47", // Token name
        "supply": 1000000000, // Total token supply
        "symbol": "monkeygun", // Token symbol
        "similarImg": true, // Whether similar token images were detected
        "buyAndSellTimes1h": 165, // Buy and sell times of the current pair in 1 minute, 5 minutes, 1 hour, 6 hours, and 24 hours
        "buyAndSellVolume1h": 13277.87,// Buy and sell volume of the current pair in 1 minute, 5 minutes, 1 hour, 6 hours, and 24 hours
        "buyTimes1h": 98, // Buy times of the current pair in 1 minute, 5 minutes, 1 hour, 6 hours, and 24 hours
        "buyVolume1h": 8706.68, // Buy volume of the current pair in 1 minute, 5 minutes, 1 hour, 6 hours, and 24 hours
        "priceChange1h": 1.823934, // Price change of the current pair in 1 hour (e.g., 0.1 means 10%)
        "priceChange1m": 0.201016, // Price change of the current pair in 1 minute (e.g., 0.1 means 10%)
        "priceChange24h": 1.823934, // Price change of the current pair in 24 hours (e.g., 0.1 means 10%)
        "priceChange5m": 0.181084, // Price change of the current pair in 5 minutes (e.g., 0.1 means 10%)
        "priceChange6h": 1.823934, // Price change of the current pair in 6 hours(e.g., 0.1 means 10%)
        "sellTimes1h": 67, // Sell times of the current pair in 1 hour
        "sellVolume1h": 4571.19, // Sell volume of the current pair in 1  hour
        "image": "https://cdn.dbotx.com/icon/8d00514c93228803583109feeee826fc45a33ed8",  // Token logo image URL
        "totalFee": 0.3565, // Total trading fees generated during the surge period
        "rate": 203.63,  // Market cap growth rate or surge score (platform-defined metric)
        "tokenPrice": 5.643623009832047e-8, // Token price, determined based on "baseMint", with unit in SOL / WBNB / USDC / USD1
        "tokenPriceUsd": 0.000011492109534920997,  // Token price in USD
        "marketCap": 11492.1095, // Market cap of the current token
        "marketCapChange5m": 1761.971, // 5-minute change in market cap of the current token
        "marketCapChangeRate5m": 0.1811, // 5-minute percentage change in market cap of the current token
      "tokenReserve": 608911173.14, // Token amount in the current liquidity pool
        "tokenReserve": 359908873.317966, // Token amount in the current liquidity pool
        "currencyReserve": 20.311899989, // Base currency amount in the pool, determined based on "baseMint", value in SOL / WBNB / USDC / USD1
        "solReserve": 20.311899989, // SOL reserve amount
        "baseMint": "So11111111111111111111111111111111111111112", // Contract address of the base token in the current liquidity pool
        "baseSymbol": "SOL", // Current SOL amount in the liquidity pool
        "devAccount": "EY7CcbLgZUoUYdJJW57dWb6mXnhwRM8QUmvmX2WhDH7u", // Developer wallet address of the current token
        "migrateCount": 0, // Number of migrations by the dev  
        "launchCount": 1, // Number of tokens launched by the dev  
        "holders": 45, // Number of holders of the current token
        "avgHolderAmount": 255.3802, // Average token amount per holder  
        "poolType": "pump",
        "links": [ // Trading pair related links
            {
                "label": "website",
                "url": "https://youtu.be/QxYmm5yCJBg?feature=shared"
            },
            {
              "label": "twitter",
              "name": "Aria_Protocol", // Twitter name
              "sameCount": 78, // The number of Same Twitter Tokens
              "url": "https://x.com/i/communities/1964660417554190409"
            }
        ],
        "launchProgress": 0.5468, // Launch progress ratio (0–1), platform-specific
        "isLaunchMigration": false, // "true" indicates the current liquidity pool was created by platforms
        "botHolders": 1, // Number of bot holders
        "holderHasTags": true, // Whether holder wallets have risk or behavior tags
        "snipersCount": 23,  // Number of detected sniper wallets
        "safetyInfo": {
            "devPosition": "unchanged", // Developer position change status
            "canFrozen": false, // "true" means the token is freezeable
            "freezeAuthority": true,
            "canMint": false, // "true" means the token is mintable
            "mintAuthority": true,
            "top10HolderRate": 0.297542494238978 // Holding percentage of top 10 holders
        },
        "devHoldPercent": 0.0007, // Percentage of supply held by the developer
        "createdAt": 1757255304518, // Liquidity pool creation time (milliseconds)
        "migrateAt": null, // Time of migration
        "tokenCreatedAt": 1757255301000, // Token creation time
        "pairPriceCreatedAt": 1757255307182, // Initial price creation time
        "pairPriceUpdatedAt": 1757256121693, // Last price update time
        "initSOLQuantity": 0.015, // Initial SOL liquidity added at pool creation
        "initTokenQuantity": 1000000000,  // Initial token liquidity added at pool creation
        "surgingDetail": {// Market cap surge detail snapshot
            "marketCap_start": 23942.09712989486, // Market cap at the start of the surge
            "marketCap_max": 23943.456745462077, // Maximum market cap during the surge
            "time": 1757256127933, // Timestamp of the surge snapshot
            "marketCap_now_rate": -0.5200040565514794,  // Current market cap change rate vs peak
            "marketCap_max_rate": 0.00005678765564437627 // Maximum market cap growth rate
        }
      }
    ]

Response data visualization reference


Query Params
string
required
Defaults to solana

Chain (solana)

Response

Language
LoadingLoading…
Response
Choose an example:
application/json